From f9b7a7080385018e79e83e3d146b48579a031753 Mon Sep 17 00:00:00 2001
From: mid-kid <esteve.varela@gmail.com>
Date: Tue, 20 Jul 2021 14:54:22 +0200
Subject: [PATCH] Disable -Werror in boringssl

This is practically unacceptable on any linux distribution, as new
compiler versions will inevitably introduce new warnings.
---
 patches/boringssl/0011-Disable-Werror.patch | 24 +++++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100644 patches/boringssl/0011-Disable-Werror.patch

diff --git a/patches/boringssl/0011-Disable-Werror.patch b/patches/boringssl/0011-Disable-Werror.patch
new file mode 100644
index 0000000..f5176f4
--- /dev/null
+++ b/patches/boringssl/0011-Disable-Werror.patch
@@ -0,0 +1,24 @@
+From 7768599578c3c3a9feb39400c152e14f03cfb57f Mon Sep 17 00:00:00 2001
+From: mid-kid <esteve.varela@gmail.com>
+Date: Tue, 20 Jul 2021 14:52:27 +0200
+Subject: [PATCH] Disable -Werror
+
+This is practically unacceptable on any linux distribution, as new
+compiler versions will inevitably introduce new warnings.
+---
+ CMakeLists.txt | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index f58e853cd..b1fec9616 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -117,7 +117,7 @@ endif()
+ if(CMAKE_COMPILER_IS_GNUCXX OR CLANG)
+   # Note clang-cl is odd and sets both CLANG and MSVC. We base our configuration
+   # primarily on our normal Clang one.
+-  set(C_CXX_FLAGS "-Werror -Wformat=2 -Wsign-compare -Wmissing-field-initializers -Wwrite-strings -Wvla")
++  set(C_CXX_FLAGS "-Wformat=2 -Wsign-compare -Wmissing-field-initializers -Wwrite-strings -Wvla")
+   if(MSVC)
+     # clang-cl sets different default warnings than clang. It also treats -Wall
+     # as -Weverything, to match MSVC. Instead -W3 is the alias for -Wall.
